Last Comment Bug 630270 - Port |Bug 628198 - Implement UI for do-not-track HTTP header| to SeaMonkey
: Port |Bug 628198 - Implement UI for do-not-track HTTP header| to SeaMonkey
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Adrian Kalla [:adriank]
:
:
Mentors:
Depends on: 628198
Blocks: 631566 631639
  Show dependency treegraph
 
Reported: 2011-01-31 11:12 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2011-02-06 05:07 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (based on the Firefox patch from Bug 628198) [Checked in: Comment 6] (3.37 KB, patch)
2011-02-02 11:00 PST, Adrian Kalla [:adriank]
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-01-31 11:12:59 PST
Bug 628198 added UI for the privacy.donottrackheader.enabled pref to Firefox. I think we should add it as well, but possibly at a different place.

Firefox has it now under Advanced/General/Browsing. The list of checkboxes there mostly relates to our Appearance/Content.

I propose that we add it somewhere under Privary & Security because that's where it fits best. Since it doesn't really fit with the subcategories I propose we add it to the main pane, e.g. as the very first checkbox, under Private Data. It's not 100% related but IMHO good enough.

The label could be the same as in Firefox: "Tell web sites I do not want to be tracked".

Since this is probably a small change I further propose we add the Help entry at the same time, which will not only save us filing an extra bug but also having to find someone to actually write a patch for that other bug and get it reviewed.
Comment 1 Philip Chee 2011-01-31 19:45:56 PST
> I propose that we add it somewhere under Privary & Security because that's
> where it fits best. Since it doesn't really fit with the subcategories I
> propose we add it to the main pane, e.g. as the very first checkbox, under
> Private Data. It's not 100% related but IMHO good enough.

That's almost exactly Alex Faaborgs proposal in attachment 506496 [details] in Bug 628198.
See bug 628198 comment 16.
Comment 2 Philip Chee 2011-01-31 19:47:27 PST
I already mentioned this in #seamonkey. Too bad the logs are MIA.
Comment 3 Adrian Kalla [:adriank] 2011-02-02 11:00:14 PST
Created attachment 509163 [details] [diff] [review]
patch v1 (based on the Firefox patch from Bug 628198) [Checked in: Comment 6]

Not sure who is the right person to ask for review here, so if it is not you Robert, let someone else please review the patch.
Comment 4 Philip Chee 2011-02-02 13:26:00 PST
> +      <!-- Do Not Track -->
> +      <preference id="privacy.donottrackheader.enabled"
Reduntant comment since the strings do not track already appear in the preference name.

> +    <!-- Do Not Track -->
> +    <groupbox id="doNotTrackGroup">

> +        <checkbox id="privacyDoNotTrackPrefs"
We seem to have flex="1" on the other checkboxes.
Comment 5 Ian Neal 2011-02-03 15:21:54 PST
Comment on attachment 509163 [details] [diff] [review]
patch v1 (based on the Firefox patch from Bug 628198) [Checked in: Comment 6]

The comments can stay but as Philip suggested:
> +        <checkbox id="privacyDoNotTrackPrefs"
We seem to have flex="1" on the other checkboxes.

r=me with that fixed.
Comment 6 Ian Neal 2011-02-03 15:43:14 PST
Comment on attachment 509163 [details] [diff] [review]
patch v1 (based on the Firefox patch from Bug 628198) [Checked in: Comment 6]

http://hg.mozilla.org/comm-central/rev/d1458229a862
Comment 7 Ian Neal 2011-02-03 15:43:43 PST
Was checked in with flex="1" added.
Comment 8 neil@parkwaycc.co.uk 2011-02-04 00:30:24 PST
The flex is needed for the checkbox to be able to wrap should other locales need more than one line of text. <vbox align="start"> is another approach.
Comment 9 Serge Gautherie (:sgautherie) 2011-02-04 08:56:16 PST
(In reply to comment #0)
> Since this is probably a small change I further propose we add the Help entry
> at the same time, which will not only save us filing an extra bug but also
> having to find someone to actually write a patch for that other bug and get it
> reviewed.

Not done here. Was another bug filed?
Comment 10 Jens Hatlak (:InvisibleSmiley) 2011-02-04 09:46:37 PST
(In reply to comment #9)
> Was another bug filed?

No, filed bug 631566.

Note You need to log in before you can comment on or make changes to this bug.